Differences

This shows you the differences between two versions of the page.

Link to this comparison view

userspace:centos_6.2 [2013/02/06 15:47] (current)
wolfbardo created
Line 1: Line 1:
 +====== CentOS release 6.2 ======
 +opsi40 Installation
  
 +supplementing doc in 
 +http://​download.uib.de/​opsi4.0/​doc/​opsi-getting-started-en.pdf
 +===== basic install =====
 +<code "​bash">​
 +# Check the opsi-server entry in /etc/hosts or the output of
 +getent hosts $(hostname -f)
 +# should be like
 +# 192.168.1.1 server.domain.tld server
 +
 +# samba and mysql-server should be installed and running
 +
 +yum update
 +</​code>​
 +===== Add the opsi CentOS Repository: =====
 +Create the file `/​etc/​yum.repos.d/​opsi40.repo` with the following content:
 +<code "​bash">​
 +[opsi4]
 +name=opsi4.0 for RHEL/ CentOS $releasever - $basearch
 +baseurl=http://​download.opensuse.org/​repositories/​home:/​uibmz:/​opsi:/​opsi40/​CentOS_CentOS-6/​
 +enabled=1
 +gpgcheck=1
 +gpgkey=http://​download.opensuse.org/​repositories/​home:/​uibmz:/​opsi:/​opsi40/​CentOS_CentOS-6/​repodata/​repomd.xml.key
 +</​code>​
 +
 +===== install opsi40 ​ =====
 +
 +<​code>​
 +yum makecache
 +
 +yum install p7zip p7zip-plugins cabextract
 +yum remove tftp-server
 +
 +yum install opsi-depotserver opsi-configed
 +</​code>​
 +
 +===== miscellaneous ​  =====
 +
 +configure iptables and selinux
 +
 +===== Configure opsi Backends ​ =====
 +===== opsi stuff  =====
 +<code "​bash">​
 +opsi-setup --set-rights
 +opsi-setup --configure-mysql
 +opsi-setup --auto-configure-samba
 +opsi-setup --init-current-config
 +/​etc/​init.d/​opsiconfd restart
 +/​etc/​init.d/​opsipxeconfd restart
 +</​code>​
 +
 +===== tested with  =====
 +<code "​bash">​
 +lsb_release -a
 +LSB Version: ​   :​core-4.0-amd64:​core-4.0-noarch:​graphics-4.0-amd64:​graphics-4.0-noarch:​printing-4.0-amd64:​printing-4.0-noarch
 +Distributor ID: CentOS
 +Description: ​   CentOS release 6.2 (Final)
 +Release: ​       6.2
 +Codename: ​      Final
 +
 +
 +rpm -q -a | grep opsi
 +opsi-atftp-0.7.dfsg-9.1.x86_64
 +python-opsi-4.0.2.1-1.1.noarch
 +opsiconfd-4.0.2.1-1.1.x86_64
 +opsi-depotserver-4.0.2.1-1.1.noarch
 +opsi-linux-bootimage-20120119-1.1.noarch
 +opsipxeconfd-4.0.2.1-1.1.noarch
 +opsi-utils-4.0.2.1-1.1.noarch
 +opsi-configed-4.0.1.24-1.1.noarch
 +
 +</​code>​

QR Code
QR Code userspace:centos_6.2 (generated for current page)